import { describe, test, it, expect } from 'vitest'
import ValidationUtils from "~/services/utils/validationUtils";

describe('validEmail', () => {
    test('with valid email', () => {
        const validationUtils = new ValidationUtils()
        expect(validationUtils.validEmail('foo@gmail.com')).toBeTruthy()
    })
    test('with empty string', () => {
        const validationUtils = new ValidationUtils()
        expect(validationUtils.validEmail('')).toBeFalsy()
    })
    test('with invalid string', () => {
        const validationUtils = new ValidationUtils()
        expect(validationUtils.validEmail('azerty')).toBeFalsy()
    })
})
